﻿@using Microsoft.AspNetCore.Identity
@inject SignInManager<AppUser> SignInManager
@inject UserManager<AppUser> UserManager
@model lap.tel.com_project.Models.Device

@{
    ViewData["Title"] = "Szczegóły naprawy";
}

<h2>Szczegóły</h2>
 @if (SignInManager.IsSignedIn(User))
    {
        var user = await UserManager.GetUserAsync(User);
        var roles = await UserManager.GetRolesAsync(user);
<div>
    <h5>Naprawa @Html.DisplayFor(model => model.DeviceId)</h5>
    <hr />
    <dl class="row">
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Marka)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Marka)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Model)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Model)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.SerialNr)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.SerialNr)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Accessory)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Accessory)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.RepairType)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.RepairType.RepairName)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Description)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Description)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.IsFlooded)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.IsFlooded)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.IsImportantData)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.IsImportantData)
        </dd>
    </dl>
</div>
<div>
    @if (!roles.Contains("Administrator"))
    {
            <a class="btn btn-dark" onclick="window.history.back();">Powrót</a>
    }
    @if (roles.Contains("Administrator"))
    {
        if (Model.RepairStatus.IsArchived == true){
                <a class="btn btn-dark" asp-controller="Admin" asp-action="RepairArchiwe">Powrót</a>
        }else{
                <a class="btn btn-dark" asp-controller="Admin" asp-action="RepairStatus">Powrót</a>
                <a class="btn btn-primary" asp-controller="Devices" asp-action="Edit" asp-route-id="@Model?.DeviceId">Edycja</a>
        }
    }
   
</div>
}